ru.bitel.bgbilling.modules.tv.access.om.event

## Class OmTvAccountModifyEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.modules.tv.access.om.event.OmTvAccountModifyEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class OmTvAccountModifyEvent
      extends QueueEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OmTvAccountModifyEvent()`
    `` | `OmTvAccountModifyEvent(int moduleId, int deviceId, TvAccount oldTvAccount, TvAccount newTvAccount, short newState)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getNewState()`
    `TvAccount` | `getNewTvAccount()`
    `TvAccount` | `getOldTvAccount()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `AccountOrderEvent` | `toOmEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess access, ConnectionSet connectionSet, java.util.Date now)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OmTvAccountModifyEvent

          protected OmTvAccountModifyEvent()

    - #### OmTvAccountModifyEvent

          public OmTvAccountModifyEvent(int moduleId,
                                        int deviceId,
                                        TvAccount oldTvAccount,
                                        TvAccount newTvAccount,
                                        short newState)

      Parameters:
        `moduleId` - ид модуля
        `deviceId` - Код устройства, если событие необходимо выполнить только на одном из всей цепочки устройств (например, при перезагрузке оного). Иначе = 0.
        `oldTvAccount` -
        `newTvAccount` -
        `newState` -

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getOldTvAccount

          public TvAccount getOldTvAccount()

    - #### getNewTvAccount

          public TvAccount getNewTvAccount()

    - #### getNewState

          public short getNewState()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`

    - #### toOmEvent

          public AccountOrderEvent toOmEvent(ru.bitel.bgbilling.modules.tv.access.TvAccess access,
                                             ConnectionSet connectionSet,
                                             java.util.Date now)
                                      throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`